### Constructor

# Vips Image new_from_image1

#### Declaration [src]

    VipsImage*
    vips_image_new_from_image1 (
      VipsImage* image,
      double c
    )

#### Description [src]

Creates a new image with width, height, format, interpretation, resolution and offset taken from `image`, but with one band and each pixel having the value `c`.

See also

`vips_image_new_from_image()`.

#### Parameters

`image`

  Type: `VipsImage`

  Image to copy.

  The data is owned by the caller of the function.

`c`

  Type: `double`

  Constants.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.